matrix:
  unix_platform:
  - rockylinux8
  - debian10
  - ubuntu2004
  - windows
  windows_platform:
  - windows
  bazel:
  - 7.x
  - 8.x

tasks:
  unix_test:
    name: Verify build targets
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@gflags//:gflags'
  windows_test:
    name: Verify build targets
    platform: ${{ windows_platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@gflags//:gflags'
